Docs
Get an API key

Get Usage

GET /v1/usage View .md

View usage information for the current and previous months.

OK

application/json · usage-response-payload

1 field
  • usage object
    2 fields
    • current_month object

      Object containing usage values for the given month.

      7 fields
      • chat_usage array of objects

        The per-model breakdown of chat completion usage in this monthly period.

        3 fields
        • model string

          The name of the model used during this period.

        • output_tokens integer

          The total number of output tokens used with this model in this monthly period.

        • input_tokens integer

          The total number of input tokens used with this model in this monthly period.

      • tts integer

        The total number of text-to-speech input characters used this period with the standard HD model.

      • tts_sm integer

        The total number of text-to-speech input characters used this period with the basic model.

      • image number (float)

        The total number of megapixels generated during this period with a standard model.

      • image_sm number (float)

        The total number of megapixels generated during this period with a small model.

      • chat integer deprecated

        The total number of chat completion tokens used in this monthly period.

      • chat_input integer deprecated

        The total number of input tokens used in this monthly period.

    • previous_month object

      Object containing usage values for the given month.

      7 fields
      • chat_usage array of objects

        The per-model breakdown of chat completion usage in this monthly period.

        3 fields
        • model string

          The name of the model used during this period.

        • output_tokens integer

          The total number of output tokens used with this model in this monthly period.

        • input_tokens integer

          The total number of input tokens used with this model in this monthly period.

      • tts integer

        The total number of text-to-speech input characters used this period with the standard HD model.

      • tts_sm integer

        The total number of text-to-speech input characters used this period with the basic model.

      • image number (float)

        The total number of megapixels generated during this period with a standard model.

      • image_sm number (float)

        The total number of megapixels generated during this period with a small model.

      • chat integer deprecated

        The total number of chat completion tokens used in this monthly period.

      • chat_input integer deprecated

        The total number of input tokens used in this monthly period.

curl https://api.vultrinference.com/v1/usage \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"
Response · 200
{
    "usage": {
        "current_month": {
            "chat_usage": [
                {}
            ],
            "tts": 0,
            "tts_sm": 0,
            "image": 0.0,
            "image_sm": 0.0,
            "chat": 0,
            "chat_input": 0
        },
        "previous_month": {
            "chat_usage": [
                {}
            ],
            "tts": 0,
            "tts_sm": 0,
            "image": 0.0,
            "image_sm": 0.0,
            "chat": 0,
            "chat_input": 0
        }
    }
}